> For the complete documentation index, see [llms.txt](https://docs.navigaglobal.com/newsroom-planner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.navigaglobal.com/newsroom-planner/admin-guide/naviga-id-admin.md).

# E-mail notification

Admin

## Configuration of E-mail in Config Key Store and Newsroom Planner

E-mail service is available in EU West and all regions can use the same service.&#x20;

#### Configuration in Newsroom Planner:

**Settings/Configurations/Configuration/Email service:** \
Set         "enable": true,

**If you don't want** to use the e-mail functionality "enable":false,

The correct configuration for the following settings should be available as default, but make sure to change stage to prod in your production environment.&#x20;

#### Configuration of Config Key store / Newsroom Planner:&#x20;

```
Config key store name: EMAIL_SERVICE_SEND
Config key store value: https://sendmail-eu-west-1.saas-stage.infomaker.io/twirp/sendmail.Email/Send
App config / sendEndpoint: ${DBKS:EMAIL_SERVICE_SEND}

Config key store name: EMAIL_SERVICE_LIST
Config key store value: https://sendmail-eu-west-1.saas-stage.infomaker.io/twirp/sendmail.Email/GetThread
App config / listEndpoint: ${DBKS:EMAIL_SERVICE_LIST}

Config key store name: EMAIL_SERVICE_DOMAIN
Config key store value: saas-stage.infomaker.io
App config / serviceDomain: ${DBKS:EMAIL_SERVICE_DOMAIN}


Replace "stage" with "prod" in the key store value for your production environment. 
```

![](https://content.gitbook.com/content/N4jAJdwyxhJ26rM91BZ7/blobs/Pr1GkwJa7HY4xl7tXMsX/image.png)

E-mails will be sent from a Naviga controlled e-mail address that is subject to change, but is at the moment of writing this documentation:&#x20;

Newsroom Planner: <newsroom-planner@saas-stage.infomaker.io>\
Newsroom Planner: <newsroom-planner@saas-prod.infomaker.io>

{% hint style="info" %}
Be sure to check your spam / junk mail folder for sent emails
{% endhint %}

### Requirements

For e-mail notifications to work, the service role `sendmail:nrp` needs to be added to groups in the Naviga ID admin. *This is usually done by Naviga Support.* The following is an example.&#x20;

![](https://content.gitbook.com/content/N4jAJdwyxhJ26rM91BZ7/blobs/0lNhRBLraN9RERFpmpcK/image.png)

### Example customer support JIRA ticket:&#x20;

{% hint style="info" %}

### Configuration of Newsroom Planner email functionality

We att {Customer Name} are about to configure Newsroom Planner with email sending functionality, and we would need the following from you:&#x20;

* sendmail:nrp settings to our following groups in Naviga ID Admin in both stage and production
* The following two email addresses to be granted access in your email backend – **make sure the e-mail address is written exactly the same in the Concept Author as the e-mail given here (caps sensitive)**
  {% endhint %}

## Specific to stage:&#x20;

In the stage environment we need to verify users that are allowed to receive e-mails through this function. This means you need to deliver a couple of user e-mail addresses that you will use for testing (receiving) in the stage environment, see <https://docs.aws.amazon.com/ses/latest/DeveloperGuide/verify-addresses-and-domains.html>. This configuration is done in the saas-stage account for the domain saas-stage.infomaker.io. This is not required for the production environment. *This work is done by Naviga Support.*

When e-mail addresses have been added, it is important that the users that are being invited approve this by clicking the link (this is valid for 24 hours).&#x20;

![](https://content.gitbook.com/content/N4jAJdwyxhJ26rM91BZ7/blobs/CBEeEKhrrMphKAyDLn2e/Inbox_%E2%80%A2_kristofer_pasanen_navigaglobal_com.png)

### Possible errors with sending e-mail in stage

If you see this message in Dashboard when a user is sending an e-mail it is likely because the user has not been added according to the information above.&#x20;

![](https://content.gitbook.com/content/N4jAJdwyxhJ26rM91BZ7/blobs/WfCMivTn998FA3IwLsw5/image.png)

This should not happen in production. If this is the case, you will see the following error in the Chrome Dev Console:&#x20;

```
{code: "internal", msg: "failed to send email", meta: {…}}
meta: {cause: "MessageRejected: Email address is not verified. 
Th…EST-1: User Name <user.name@domain.com>"}
msg: "failed to send email"
__proto__: Object
```

##


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.navigaglobal.com/newsroom-planner/admin-guide/naviga-id-admin.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
